Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have a late 2012/early 2013 iMac with the following graphics card (lspci)

01:00.0 VGA compatible controller: NVIDIA Corporation GK107M [GeForce GT 640M Mac Edition] (rev a1)

I have tried the latest Ubuntu releases (and even Debian Jessie) - kernels 3.{10, 11, 12, 13} - but when I use the NVIDIA drivers, the screen goes completely dead and I have to power cycle.

When I reboot into a headless console, the log files contain the error

EVO Push buffer channel allocation failed

I have been able to get the card to work using the NVIDIA 304 version of drivers and going back to Ubuntu Raring (with kernel 3.8.0) but only if I add the following to the Devices section of my /etc/X11/xorg.conf where I declare the nvidia driver.

Option "UseDPLib" "off"

I'd really like to be moving onto Saucy / Trusty (when its released) with a working NVIDIA driver... but how do I get past this apparent kernel incompatibility? I really don't want to be stuck with a non-LTS going forward.

There is a somewhat related thread on NVIDIA DevTalk but it's not going anywhere, although I have been told that NVIDIA have assigned internal bug number 1483494 :-(

UPDATE: driver version 313-updates on Raring also works, which I believe is the most recent driver on that distro.

share|improve this question
    
These are the latest drivers for your graphics card: nvidia.com/download/driverResults.aspx/73965/en-us Linux 32bit and this one nvidia.com/download/driverResults.aspx/73966/en-us Linux 64bit –  Taz D. Mar 20 at 20:13
    
@floppy thanks, but what makes you say that these are the latest drivers for my card? The 313 branch seems to work too and the most recent drivers don't exclude my type of card in their list. –  fommil Mar 21 at 20:47
    
Most people in here seem to have issues with the packaged video drivers from the canonical repositories. Those of us using original drivers for linux right from the source (nvidia.com/Download/index.aspx?lang=en) no longer have the same problems. It could work for you too, that is unless you already tried to install drivers from nvidia corporation and they failed to do the job. –  Taz D. Mar 21 at 20:57
    
Thanks, I understand. But how are you calculating that these are the most recent binaries for me? –  fommil Mar 22 at 2:15
    
They were released this year to improve compatibility with newest kernels –  Taz D. Mar 22 at 9:02

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.